Orgs Connections
Create OAuth Provider URL
Create a URL to authenticate with an OAuth provider for a specific organization.
POST
/
orgs
/
{org_id}
/
connections
/
oauth
/
url
Create OAuth Provider URL
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/connections/oauth/url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "SLACK",
"connection_id": "<string>",
"subdomain": "<string>",
"whatsapp": {
"name": "<string>",
"email": "jsmith@example.com"
},
"external_redirect_url": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/oauth/url"
payload = {
"type": "SLACK",
"connection_id": "<string>",
"subdomain": "<string>",
"whatsapp": {
"name": "<string>",
"email": "jsmith@example.com"
},
"external_redirect_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'SLACK',
connection_id: '<string>',
subdomain: '<string>',
whatsapp: {name: '<string>', email: 'jsmith@example.com'},
external_redirect_url: '<string>'
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/oauth/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}Authorizations
Bearer token authentication using your API key
Path Parameters
Body
application/jsonmultipart/form-data
Create OAuth provider URL
Connection type
Available options:
SCHEDULER, WORKFLOWS, TOOLS, FILES, EMAILS, HTTP_CREDENTIALS, TABLES, PAGES, KNOWLEDGE, SKILLS, CONTACTS, SEGMENTS, ASSISTANTS, AGENTS, CHATS, INBOX, MEMBERS, BROADCASTS, ANALYTICS, AUDIT, PHONE, GMAIL, GOOGLE_SHEETS, GOOGLE_CALENDAR, GOOGLE_DRIVE, OUTLOOK_CALENDAR, AIRTABLE, NOTION, LINEAR, HUBSPOT, GOHIGHLEVEL, CAL, CALENDLY, RESEND, OAUTH, SLACK, TELEGRAM, TRELLO, FACEBOOK, WHATSAPP, INSTAGRAM, MESSENGER, TIKTOK, JAPIFON, SMPP, TWILIO, TELNYX, ZOHO, ZOHO_BOOKINGS, ZOHO_INVENTORY, ZOHO_CALENDAR, SALESFORCE, STRIPE, SHOPIFY, ZENDESK, MCP, ODOO, WOOCOMMERCE Example:
"SLACK"
Maximum string length:
128The subdomain of the OAuth provider
Pattern:
^[a-z0-9-]+$WhatsApp signup options; without a flow Embedded Signup opens on its own screens
Show child attributes
Show child attributes
Maximum string length:
2048Response
200 - application/json
The URL to redirect the user to for OAuth authentication.
OAuth provider authentication URL
Was this page helpful?
⌘I
Create OAuth Provider URL
